For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
          • GETRetrieves the raw data for a database
          • POSTDownloads Data (either general, export or raw with no transformer)
          • GETRetrieves the transformed data for a database/export
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTContentData

Retrieves the transformed data for a database/export

GET
https://meta.feedonomics.com/api.php/dbs/:db_id/transformed_data/:export_id
GET
/api.php/dbs/:db_id/transformed_data/:export_id
$curl https://meta.feedonomics.com/api.php/dbs/1/transformed_data/1 \
> -H "x-api-key: x-api-key" \
> -H "Authorization: Bearer <token>"
200Data_retrievesTheTransformedDataForADatabaseExport_example
1[
2 {
3 "correlation_id": "185191d4bae6ed2a",
4 "total_run_time": "13.243301868439",
5 "total_count": "462",
6 "data": [
7 [
8 "Pencil",
9 "High",
10 "Tap"
11 ],
12 [
13 "Pen",
14 "Low",
15 "Ballet"
16 ]
17 ],
18 "total_chunks": "1",
19 "queue_chunk_metrics": [
20 {
21 "queue_time_chunk_0_0": [
22 {
23 "local_host": "chunk-worker6.feedonomics.com",
24 "db_id": "1",
25 "resource_type": "",
26 "resource_id": "0",
27 "correlation_id": "abcdef",
28 "event": "queue_time_chunk_0_0",
29 "value1": "147473.81210327",
30 "memory_usage": "6843656",
31 "memory_peak": "24133736",
32 "timestamp": "2024-11-20 01:47:41",
33 "scheduled": "0"
34 }
35 ]
36 }
37 ],
38 "status": "success"
39 }
40]
Was this page helpful?
Previous

Downloads Data (either general, export or raw with no transformer)

Next

FeedAMP Order Management API

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

db_idintegerRequired
ID of the database to get transformed data from
export_idintegerRequired
The export ID to get transformed data from. Default to 0 for all

Headers

x-api-keystringRequired

Query parameters

directionstringOptional

Order direction, can be > or <

limitdoubleOptional
How many results should be returned
offsetdoubleOptional
Offset used for paging
selectorstringOptional
The query selector to filter data by
override_logsbooleanOptional

Returns override_logs with each row of data to get the original values pre-transformed data overrides

Response

successful operation
statudstring
correlation_idstring
total_run_timestring
total_countstring
datalist of any
total_chunksstring
queue_chunk_metricslist of objects